##########################################

############################################

db.define_table('t_applicationData_mobileRobots',
    Field('f_existing', type='boolean',
          label=T('Is the AGV existing?')),
    Field('f_batteryoperationtimepercharge_planned', type='float',
          label=T('Battery - Planned Operation Time per Charge'), comment="h"),
    Field('f_batteryoperationtimepercharge', type='float',
          label=T('Battery - Actual Operation Time per Charge'), comment="h"),
    Field('f_batterycapacity', type='float',
          label=T('Battery - Capacity'), comment="Ah"),
    Field('f_batterychargingduration', type='float',
          label=T('Battery - Charging Duration per Charge'), comment="h"),
    Field('f_batterychargingsperday', type='float',
          label=T('Battery - Chargings per Day'), comment=""),
    Field('f_batterydistancepercharge', type='float',
          label=T('Battery - Distance between Charges'), comment="m"),
    Field('f_batteryconsumption', type='double',
          label=T('Battery - Energy Consumption'), comment="A"),
    Field('f_batterychargetime_total', type='double',
          label=T('Battery - Total Charging Time'), comment="h"),
    Field('f_batteryvoltage', type='double',
          label=T('Battery - Voltage'), comment="V"),
    Field('f_speed_average', type='double',
          label=T('Speed - Average Driving Speed'), comment="m/s"),
    Field('f_speedcurve_average', type='double',
          label=T('Speed - Average Curve Speed'), comment="m/s"),
    Field('f_speedcrossing_average', type='double',
          label=T('Speed - Average Crossing Speed'), comment="m/s"),
    Field('f_distancestraight', type='double',
          label=T('Transport - Distance of Straight Drives')),
    Field('f_distanceturning', type='double',
          label=T('Transport - Distance of Turning Maneuvers')),
    Field('f_distancecrossing', type='double',
          label=T('Transport - Distance of Crossings')),
    Field('f_distance_total', type='double',
          label=T('Transport - Distance Total')),
    Field('f_transporttime', type='double',
          label=T('Transport - Time per Route')),
    Field('f_loadingsperroute', type='double',
          label=T('On- and Off-Loadings - Amount per Route')),
    Field('f_loadingduration', type='integer',
          label=T('On- and Off-Loadings - Duration per Loading (Task Execution Time)'), comment="min"),
    Field('f_loadingsdurationroute', type='double',
          label=T('On- and Off-Loadings - Duration per Route')),
    migrate=settings.migrate)

db.define_table('t_applicationData_obstacles',
    Field('f_obstacles_straight', type='float',
          label=T('Obstacles per Meter of Straight Tracks'), comment="n°"),
    Field('f_obstacles_curve', type='float',
          label=T('Obstacles per Meter of Curve Tracks'), comment="n°"),
    Field('f_obstacles_crossing', type='float',
          label=T('Obstacles per Meter of Crossing'), comment="n°"),
    migrate=settings.migrate)
############################################

db.define_table('t_applicationData_blisk',
    Field('f_workpiecechange_duration', type='float',
          label=T('Workpiece Change - Duration'), comment="h"),
    Field('f_toolchange_duration', type='float',
          label=T('Tool Change - Duration'), comment="h"),
    Field('f_toolchange_number', type='float',
          label=T('Tool Change - Number of changes per Produced BLISK'), comment="n°"),
    migrate=settings.migrate)
